﻿@model List<eCommerce.Services.Model.Product>
@{
    ViewBag.Title = "Limitar Descuento por Producto";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Limitar Descuento por Producto</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
        </div>
    </div>
</div>

<div class="page-content">
    <div class="panel">
        @Html.Partial("_LimitDiscountList", Model)
    </div>
</div>

@section Scripts {
    
    <script src="/Content/assets/vendor/editable-table/mindmup-editabletable.js"></script>
    <script src="/Content/assets/vendor/editable-table/numeric-input-example.js"></script>
    <script src="/Content/assets/js/components/editable-table.js"></script>
    
    <script type="text/javascript">

        $(document).ready(function () {
        })

        $('#editableTable').editableTableWidget();
        
        $('table td').on('validate', function (evt, newValue)
        {
            if (!$(this).attr("id").startsWith("MaxDiscount"))
            {
                return false;
            }
        });
        

        $('table td').on('change', function (evt, newValue) {

            var productId = this.id.split('-')[1];
            
            if (newValue != null)
            {
                $.ajax({
                    url: "/Products/LimitDiscountUpdate/",
                    type: "POST",
                    data: { ProductId: productId, LimitDiscount: newValue},
                    success: function (data, textStatus, jqXHR)
                    {
                        if (data == "error")
                        {
                            toastr.error('Error al modificar datos.');
                        }
                        else
                        {
                            $("#MaxDiscount-" + productId).text(data);
                            toastr.success('Datos modificados');  
                        }
                    }
                });
            }
        });

    </script>



}

